## com.bbn.openmap.layer.mysql
Class MysqlPolygon

    java.lang.Object
      com.bbn.openmap.layer.mysql.MysqlGeometry
          com.bbn.openmap.layer.mysql.MysqlPolygon

public class MysqlPolygon
extends MysqlGeometry

This class represents the encapsulation of a MySQL Polygon Geometry. Coordinate values are stored as values of double precision in arrays as a sequence of Latitude/Longitude pairs. This differs from tha database where values are stored as X/Y or Easting/Northing pairs.

Copyright 2003 by the Author

Version:
  1.0
Author:
  Uwe Baier uwe.baier@gmx.net

Field Summary

Fields inherited from class com.bbn.openmap.layer.mysql.MysqlGeometry
`GEOMETRYCOLLECTIONTYPE, LINESTRINGTYPE, MULTILINESTRINGTYPE, MULTIPOINTTYPE, MULTIPOLYGONTYPE, POINTTYPE, POLYGONTTYPE`

Constructor Summary
`MysqlPolygon()`

Method Summary
`java.util.Vector` `getRings()` Returns the rings.
`void` `setRings(java.util.Vector rings)` Sets the rings.

Methods inherited from class com.bbn.openmap.layer.mysql.MysqlGeometry
`getType, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MysqlPolygon

    public MysqlPolygon()

Method Detail

### getRings

    public java.util.Vector getRings()

  Returns the rings.

  Returns:
    Vector

### setRings

    public void setRings(java.util.Vector rings)

  Sets the rings.

  Parameters:
    `rings` - The rings to set

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details